<!-- 公告 -->
<template>
  <div>

    <div class=" mb25">
      <el-input class="w200  mr20" clearable v-model="search_data.search" placeholder="搜索"></el-input>
      <el-button size="small" icon="el-icon-search" @click.native="m_search" type="primary">搜索</el-button>
      <el-button size="small" icon="el-icon-plus" @click="m_addForm()" type="success">添加</el-button>
      <el-button size="small" icon="el-icon-delete" @click.native="m_del" type="danger">批量删除</el-button>

    </div>

    <el-table ref="m_table" size="mini" border :max-height="tableHeight" @selection-change="m_handleSelectionChange" @current-change="m_handleCurrentChange" class="mtable" :stripe="true" tooltip-effect="dark" :highlight-current-row='true' :data="m_list" style="width: 100%">
      <el-table-column align="center" type="selection" width="55"></el-table-column>
      <el-table-column prop="title" label="标题" align="center"> </el-table-column>
      <el-table-column prop="created_at" label="创建时间" align="center" width="200px"> </el-table-column>
      <el-table-column label="操作" align="center" width="120px">
        <template slot-scope="scope">
          <el-button class="m_edit" size="small" @click.native="m_editForm(scope.row)" type="text"><span class="m_blue">编辑</span></el-button>
          <el-button class="spanr" size="small" @click.native='m_oneDel(scope.row)' type="text"><span class="m_red">删除</span></el-button>
        </template>
      </el-table-column>
    </el-table>

    <Paging class="mt20 mb30" :pageIndex="m_page.page" :pageSize="m_page.limit" :pageTotal="m_page.total" @changeSize="m_changesize" @changeIndex="m_changeindex"></Paging>

    <el-dialog :close-on-click-modal="false" :title="m_isadd| m_isAdd" v-if="m_show" :visible.sync="m_show" width="900px">
      <el-form v-loading="formLoading" :model="formData" :rules="m_rules" ref="ruleForm" label-width="110px">
        <!-- 产品名称 -->
        <el-form-item label="标题" prop="title">
          <el-input class="w300" v-model="formData.title"></el-input>
        </el-form-item>

        <el-form-item label="内容">
          <rich-txt v-if="!formLoading" width="100%" ref="richTxt" :content="formData.content" />
        </el-form-item>

      </el-form>

      <div slot="footer" class="dialog-footer">
        <el-button @click="m_show = false">取 消</el-button>
        <el-button type="primary" :loading="m_loading" @click.native="sureOption">确 定</el-button>
      </div>
    </el-dialog>

  </div>
</template>

<script>
import * as api from '@/api/index'
import * as utils from '@/utils/index'
import richTxt from '@/components/richTxt'
export default {
  name: 'sys_info',
  components: { richTxt },
  data() {
    return {
      search_data: {
        search: "",
      },

      formData: {
       
        title: '', //	标题
        content: '',
      },

      formLoading: false,

      m_rules: {
        title: [{ required: true, message: '请输入', trigger: 'blur' }],

      }
    };
  },


  activated() {
    if (this.$route.query.keep != 1) {
      this.m_resetData()
      this.init()
    } else {

    }
  },
  methods: {

    init() {
      this.getDatalist()
    },

    getDatalist() {
      let data = Object.assign(this.search_data, this.m_page);
      this.m_api.sys_info(data).then(res => {
        console.log(res)
        res.data.data = res.data.data.map(i => {
          i.delShow = false
          return i
        })
        this.m_list = res.data.data
        this.m_page.total = res.data.total
      })
    },

    delData(id) {
      let m_delId = id ? [id] : this.m_delId
      this.m_loading = true
      this.m_api.sys_info_delete(m_delId).then(res => {
        this.m_loading = false
        // 删除成功
        this.m_success('删除成功')
        this.getDatalist()
      }).catch(res => {
        this.m_loading = false
      })
    },

    //编辑新增数据 点击确定
    sureOption() {
      this.formData.content = this.$refs.richTxt.getContent()
      this.$refs['ruleForm'].validate((valid) => {
        if (valid) {
          if (this.m_isadd) {
            //新增
            this.addData()
          } else {
            //编辑
            this.editData()
          }
        } else {
          console.log('error submit!!');
          return false;
        }
      })

    },



    //添加
    addData() {
      this.m_loading = true
      api.sys_info_add(this.formData).then(res => {
        this.m_page.page = 1
        this.m_success('添加成功')
        this.m_show = false
        this.getDatalist()
      }).catch(res => {

      }).finally(() => {
        this.m_loading = false
      })
    },


    m_editForm(row) {
      console.log(row)
      this.formData = this._dep(this._formData)
      this.m_isadd = false
      this.m_editData = this._dep(row)
      this.m_show = true
      this.formData.id = row.id
      this.formLoading = true
      this.m_api.sys_info_show({ id: row.id }).then(res => {
        let data = res.data
        this.formData = utils.coverObj(this.formData, data)
        this.formLoading = false
      }).catch(res => {
        this.formLoading = false
      })



    },

    //编辑
    editData() {
      this.m_loading = true
      api.sys_info_update(this.formData).then(res => {
        // 修改成功
        this.m_success('修改成功')
        this.m_show = false
        this.getDatalist()
      }).catch(res => {

      }).finally(() => {
        this.m_loading = false
      })
    },






  },

}
</script>
<style lang='scss' scoped>
.tip {
  font-size: 19px;
  margin-bottom: 30px;
}
</style>